LibreOffice: Job Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
Job Service Referencepublished

Represent a synchronous job, which can be executed by the global theJobExecutor instance. More...

`import"Job.idl";`

Inheritance diagram for Job:

## Exported Interfaces
interface | com::sun::star::task::XJob
| used to initialize and execute this job. More...
interface | com::sun::star::util::XCloseable
| should be supported to handle environment termination gracefully. More...

## Additional Inherited Members
Public Member Functions inherited from XJob
any | execute ([in] sequence< com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::uno::Exception )
| executes the job synchronously More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XCloseable
void | close ([in] boolean DeliverOwnership) raises ( CloseVetoException )
| try to close the object More...
Protected Member Functions inherited from XCloseBroadcaster
void | addCloseListener ([in] XCloseListener Listener)
| adds the specified listener to receive or have a veto for "close" events More...
void | removeCloseListener ([in] XCloseListener Listener)
| removes the specified listener More...

## Detailed Description

Represent a synchronous job, which can be executed by the global theJobExecutor instance.

See also
  AsyncJob

Since
  OOo 1.1.2

Developers Guide
  WritingUNO - Jobs - Implementation

## Exported Interfaces

interface com::sun::star::task::XJob

used to initialize and execute this job.

interface com::sun::star::util::XCloseable
| optional

should be supported to handle environment termination gracefully.

The documentation for this service was generated from the following file:

- com/sun/star/task/Job.idl